Subject: Re: bug#34565: ungoogled-chromium contains Widevine DRM

From: Marius Bakke <[email-masked]>
Date: Wed, 20 Feb 2019 15:48:51 +0100

Giovanni Biscuolo <[email-masked]> writes:

> Hello,
>
> maybe Marius Bakke have something interesting to say about his
> judgements on this "DRM matter"

[...]

> to sum it up: AFAIU for users to be able to use Widevine they must
> create a custom package definition _outside_ official Guix channels
> *and* download the shared object "libwidevinecdm.so" from Chromium,
> installing it "manually" system wide or locally

This analysis is correct.  For DRM to work, the user has to build with
"enable_widevine=true", and then somehow obtain 'libwidevinecdm.so' and
make the browser use it.